<?php
/**
 * Multi Advance Theme Customizer
 *
 * @package Multi Advance
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function multi_advance_customize_register($wp_customize) {
	//add home page setting pannel
	$wp_customize->add_panel('multi_advance_panel_id', array(
		'priority'       => 10,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Theme Settings', 'multi-advance'),
		'description'    => __('Description of what this panel does.', 'multi-advance'),
	));	

	// font array
	$multi_advance_font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface',
        'Acme' => 'Acme',
        'Anton' => 'Anton',
        'Architects Daughter' => 'Architects Daughter',
        'Arimo' => 'Arimo',
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo',
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' => 'Alfa Slab One',
        'Averia Serif Libre' => 'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script',
        'Bitter' => 'Bitter',
        'Bree Serif' => 'Bree Serif',
        'BenchNine' => 'BenchNine', 
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo',
        'Courgette' => 'Courgette',
        'Coming+Soon' => 'Coming+Soon',
        'Cherry Swash' => 'Cherry Swash',
        'Cormorant Garamond' => 'Cormorant Garamond',
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One', 
        'Dosis' => 'Dosis',
        'Droid Sans' => 'Droid Sans',
        'Economica' => 'Economica',
        'Fredoka One' => 'Fredoka One',
        'Fjalla One' => 'Fjalla One',
        'Francois One' => 'Francois One',
        'Frank Ruhl Libre' => 'Frank Ruhl Libre',
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' => 'Great Vibes',
        'Handlee' => 'Handlee', 
        'Hammersmith One' => 'Hammersmith One',
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC', 
        'Julius Sans One' => 'Julius Sans One',
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans', 
        'Kanit' => 'Kanit', 
        'Lobster' => 'Lobster', 
        'Lato' => 'Lato',
        'Lora' => 'Lora', 
        'Libre Baskerville' =>'Libre Baskerville',
        'Lobster Two' => 'Lobster Two',
        'Merriweather' =>'Merriweather', 
        'Monda' => 'Monda',
        'Montserrat' => 'Montserrat',
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script',
        'Noto Serif' => 'Noto Serif',
        'Noto Sans' => 'Noto Sans',
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass',
        'Overpass Mono' => 'Overpass Mono',
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron', 
        'Patua One' => 'Patua One', 
        'Pacifico' => 'Pacifico',
        'Padauk' => 'Padauk', 
        'Playball' => 'Playball',
        'Playfair Display' => 'Playfair Display', 
        'PT Sans' => 'PT Sans',
        'Philosopher' => 'Philosopher',
        'Permanent Marker' => 'Permanent Marker',
        'Poiret One' => 'Poiret One', 
        'Poppins' => 'Poppins',
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' => 'Quattrocento Sans', 
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Roboto' => 'Roboto',
        'Roboto Condensed' => 'Roboto Condensed',
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Satisfy' => 'Satisfy',
        'Source Sans Pro' => 'Source Sans Pro', 
        'Shadows Into Light Two' =>'Shadows Into Light Two', 
        'Shadows Into Light' => 'Shadows Into Light', 
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand', 
        'Tangerine' => 'Tangerine',
        'Unica One' => 'Unica One',
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round', 
        'Vampiro One' => 'Vampiro One',
        'Vollkorn' => 'Vollkorn',
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' => 'Yanone Kaffeesatz'
    );

	//Typography
	$wp_customize->add_section( 'multi_advance_typography', array(
    	'title'      => __( 'Typography', 'multi-advance' ),
		'priority'   => 30,
		'panel' => 'multi_advance_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'multi_advance_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_paragraph_color', array(
		'label' => __('Paragraph Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('multi_advance_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_paragraph_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'Paragraph Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	$wp_customize->add_setting('multi_advance_paragraph_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'multi_advance_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_atag_color', array(
		'label' => __('"a" Tag Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('multi_advance_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_atag_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( '"a" Tag Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'multi_advance_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_li_color', array(
		'label' => __('"li" Tag Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('multi_advance_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_li_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( '"li" Tag Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'multi_advance_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_h1_color', array(
		'label' => __('H1 Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('multi_advance_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_h1_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'H1 Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('multi_advance_h1_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_h1_font_size',array(
		'label'	=> __('H1 Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'multi_advance_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_h2_color', array(
		'label' => __('h2 Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('multi_advance_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_h2_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'h2 Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('multi_advance_h2_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_h2_font_size',array(
		'label'	=> __('h2 Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'multi_advance_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_h3_color', array(
		'label' => __('h3 Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('multi_advance_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_h3_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'h3 Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('multi_advance_h3_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_h3_font_size',array(
		'label'	=> __('h3 Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'multi_advance_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_h4_color', array(
		'label' => __('h4 Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('multi_advance_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_h4_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'h4 Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('multi_advance_h4_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_h4_font_size',array(
		'label'	=> __('h4 Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'multi_advance_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_h5_color', array(
		'label' => __('h5 Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('multi_advance_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_h5_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'h5 Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('multi_advance_h5_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_h5_font_size',array(
		'label'	=> __('h5 Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'multi_advance_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_h6_color', array(
		'label' => __('h6 Color', 'multi-advance'),
		'section' => 'multi_advance_typography',
		'settings' => 'multi_advance_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('multi_advance_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multi_advance_h6_font_family', array(
	    'section'  => 'multi_advance_typography',
	    'label'    => __( 'h6 Fonts','multi-advance'),
	    'type'     => 'select',
	    'choices'  => $multi_advance_font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('multi_advance_h6_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_h6_font_size',array(
		'label'	=> __('h6 Font Size','multi-advance'),
		'section'	=> 'multi_advance_typography',
		'setting'	=> 'multi_advance_h6_font_size',
		'type'	=> 'text'
	));

  	$wp_customize->add_setting('multi_advance_background_skin_mode',array(
        'default' => 'Transparent Background',
        'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_background_skin_mode',array(
        'type' => 'select',
        'label' => __('Background Type','multi-advance'),
        'section' => 'background_image',
        'choices' => array(
            'With Background' => __('With Background','multi-advance'),
            'Transparent Background' => __('Transparent Background','multi-advance'),
        ),
	) );

	// woocommerce section
	$wp_customize->add_setting('multi_advance_show_related_products',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
    $wp_customize->add_control('multi_advance_show_related_products',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Related Product','multi-advance'),
       'section' => 'woocommerce_product_catalog',
    ));

	$wp_customize->add_setting('multi_advance_show_wooproducts_border',array(
       'default' => false,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
    $wp_customize->add_control('multi_advance_show_wooproducts_border',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Product Border','multi-advance'),
       'section' => 'woocommerce_product_catalog',
    ));

    $wp_customize->add_setting( 'multi_advance_wooproducts_per_columns' , array(
		'default'           => 3,
		'transport'         => 'refresh',
		'sanitize_callback' => 'multi_advance_sanitize_choices',
	) );
	$wp_customize->add_control( 'multi_advance_wooproducts_per_columns', array(
		'label'    => __( 'Display Product Per Columns', 'multi-advance' ),
		'section'  => 'woocommerce_product_catalog',
		'type'     => 'select',
		'choices'  => array(
			'2' => '2',
			'3' => '3',
			'4' => '4',
			'5' => '5',
		),
	)  );

	$wp_customize->add_setting('multi_advance_wooproducts_per_page',array(
		'default'	=> 9,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));	
	$wp_customize->add_control('multi_advance_wooproducts_per_page',array(
		'label'	=> __('Display Product Per Page','multi-advance'),
		'section'	=> 'woocommerce_product_catalog',
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'multi_advance_top_bottom_wooproducts_padding',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control( 'multi_advance_top_bottom_wooproducts_padding',	array(
		'label' => esc_html__( 'Top Bottom Product Padding','multi-advance' ),
		'section' => 'woocommerce_product_catalog',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'multi_advance_left_right_wooproducts_padding',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control( 'multi_advance_left_right_wooproducts_padding',	array(
		'label' => esc_html__( 'Right Left Product Padding','multi-advance' ),
		'section' => 'woocommerce_product_catalog',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'multi_advance_wooproducts_border_radius',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_number_range',
	));
	$wp_customize->add_control('multi_advance_wooproducts_border_radius',array(
		'label' => esc_html__( 'Product Border Radius','multi-advance' ),
		'section' => 'woocommerce_product_catalog',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type' => 'range'
	));

	$wp_customize->add_setting( 'multi_advance_wooproducts_box_shadow',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_number_range',
	));
	$wp_customize->add_control('multi_advance_wooproducts_box_shadow',array(
		'label' => esc_html__( 'Product Box Shadow','multi-advance' ),
		'section' => 'woocommerce_product_catalog',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'range'
	));

	$wp_customize->add_setting('multi_advance_products_navigation',array(
       'default' => 'Yes',
       'sanitize_callback'	=> 'multi_advance_sanitize_choices'
    ));
    $wp_customize->add_control('multi_advance_products_navigation',array(
       'type' => 'radio',
       'label' => __('Woocommerce Products Navigation','multi-advance'),
       'choices' => array(
            'Yes' => __('Yes','multi-advance'),
            'No' => __('No','multi-advance'),
        ),
       'section' => 'woocommerce_product_catalog',
    ));

	$wp_customize->add_section('multi_advance_product_button_section', array(
		'title'    => __('Product Button Settings', 'multi-advance'),
		'priority' => null,
		'panel'    => 'woocommerce',
	));

	$wp_customize->add_setting( 'multi_advance_top_bottom_product_button_padding',array(
		'default' => 10,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_top_bottom_product_button_padding',	array(
		'label' => esc_html__( 'Product Button Top Bottom Padding','multi-advance' ),
		'section' => 'multi_advance_product_button_section',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number',
	));

	$wp_customize->add_setting( 'multi_advance_left_right_product_button_padding',array(
		'default' => 16,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_left_right_product_button_padding',array(
		'label' => esc_html__( 'Product Button Right Left Padding','multi-advance' ),
		'section' => 'multi_advance_product_button_section',
		'type'		=> 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
	));

	$wp_customize->add_setting( 'multi_advance_product_button_border_radius',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_number_range',
	));
	$wp_customize->add_control('multi_advance_product_button_border_radius',array(
		'label' => esc_html__( 'Product Button Border Radius','multi-advance' ),
		'section' => 'multi_advance_product_button_section',
		'type'		=> 'range',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
	));

	$wp_customize->add_section('multi_advance_product_sale_section', array(
		'title'    => __('Product Sale Button Settings', 'multi-advance'),
		'priority' => null,
		'panel'    => 'woocommerce',
	));

	$wp_customize->add_setting('multi_advance_align_product_sale',array(
        'default' => 'Right',
        'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_align_product_sale',array(
        'type' => 'radio',
        'label' => __('Product Sale Button Alignment','multi-advance'),
        'section' => 'multi_advance_product_sale_section',
        'choices' => array(
            'Right' => __('Right','multi-advance'),
            'Left' => __('Left','multi-advance'),
        ),
	) );

	$wp_customize->add_setting( 'multi_advance_border_radius_product_sale',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_border_radius_product_sale', array(
        'label'  => __('Product Sale Button Border Radius','multi-advance'),
        'section'  => 'multi_advance_product_sale_section',
        'type'        => 'number',
        'input_attrs' => array(
        	'step'=> 1,
            'min' => 0,
            'max' => 50,
        )
    ) );

	$wp_customize->add_setting('multi_advance_product_sale_font_size',array(
		'default'=> 14,
		'sanitize_callback'	=> 'multi_advance_sanitize_float'
	));
	$wp_customize->add_control('multi_advance_product_sale_font_size',array(
		'label'	=> __('Product Sale Button Font Size','multi-advance'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'multi_advance_product_sale_section',
		'type'=> 'number'
	));

	// sale button padding
	$wp_customize->add_setting( 'multi_advance_sale_padding_top',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control( 'multi_advance_sale_padding_top',	array(
		'label' => esc_html__( ' Product Sale Top Bottom Padding','multi-advance' ),
		'section' => 'multi_advance_product_sale_section',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'multi_advance_sale_padding_left',array(
		'default' => 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control( 'multi_advance_sale_padding_left',	array(
		'label' => esc_html__( ' Product Sale Left Right Padding','multi-advance' ),
		'section' => 'multi_advance_product_sale_section',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	//Layouts
	$wp_customize->add_section('multi_advance_left_right', array(
		'title'    => __('Layout Settings', 'multi-advance'),
		'priority' => null,
		'panel'    => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_preloader_option',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
    $wp_customize->add_control('multi_advance_preloader_option',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Preloader','multi-advance'),
       'section' => 'multi_advance_left_right'
    ));

   $wp_customize->add_setting('multi_advance_preloader_type_options', array(
		'default'           => 'Preloader 1',
		'sanitize_callback' => 'multi_advance_sanitize_choices',
	));
	$wp_customize->add_control('multi_advance_preloader_type_options',array(
		'type'           => 'radio',
		'label'          => __('Preloader Type', 'multi-advance'),
		'section'        => 'multi_advance_left_right',
		'choices'        => array(
			'Preloader 1'  => __('Preloader 1', 'multi-advance'),
			'Preloader 2' => __('Preloader 2', 'multi-advance'),
		),
	));

   $wp_customize->add_setting( 'multi_advance_loader_background_color_settings', array(
	    'default' => '#fff',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_loader_background_color_settings', array(
  		'label' => __('Preloader Background Color', 'multi-advance'),
	    'section' => 'multi_advance_left_right',
	    'settings' => 'multi_advance_loader_background_color_settings',
  	)));

	$wp_customize->add_setting( 'multi_advance_shop_page_sidebar',array(
		'default' => true,
		'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ) );
    $wp_customize->add_control('multi_advance_shop_page_sidebar',array(
    	'type' => 'checkbox',
       	'label' => __('Show / Hide Shop Page Sidebar','multi-advance'),
		'section' => 'multi_advance_left_right'
    ));

	$wp_customize->add_setting( 'multi_advance_wocommerce_single_page_sidebar',array(
		'default' => true,
		'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ) );
    $wp_customize->add_control('multi_advance_wocommerce_single_page_sidebar',array(
    	'type' => 'checkbox',
       	'label' => __('Show / Hide Single Product Page Sidebar','multi-advance'),
		'section' => 'multi_advance_left_right'
    ));

    $wp_customize->add_setting( 'multi_advance_single_page_breadcrumb',array(
		'default' => true,
      	'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ) );
    $wp_customize->add_control('multi_advance_single_page_breadcrumb',array(
    	'type' => 'checkbox',
        'label' => __( 'Show / Hide Single Page Breadcrumb','multi-advance' ),
        'section' => 'multi_advance_left_right'
    ));

	$wp_customize->add_setting('multi_advance_layout_options', array(
		'default'           => 'Right Sidebar',
		'sanitize_callback' => 'multi_advance_sanitize_choices',
	));
	$wp_customize->add_control('multi_advance_layout_options',array(
		'type'           => 'radio',
		'label'          => __('Change Layouts', 'multi-advance'),
		'section'        => 'multi_advance_left_right',
		'choices'        => array(
			'Left Sidebar'  => __('Left Sidebar', 'multi-advance'),
			'Right Sidebar' => __('Right Sidebar', 'multi-advance'),
			'One Column'    => __('One Column', 'multi-advance'),
			'Three Columns'    => __('Three Columns', 'multi-advance'),
			'Four Columns'    => __('Four Columns', 'multi-advance'),
			'Grid Layout'   => __('Grid Layout', 'multi-advance')
		),
	));

	$wp_customize->add_setting('multi_advance_single_page_sidebar_layout', array(
		'default'           => 'One Column',
		'sanitize_callback' => 'multi_advance_sanitize_choices',
	));
	$wp_customize->add_control('multi_advance_single_page_sidebar_layout',array(
		'type'           => 'radio',
		'label'          => __('Single Page Layouts', 'multi-advance'),
		'section'        => 'multi_advance_left_right',
		'choices'        => array(
			'Left Sidebar'  => __('Left Sidebar', 'multi-advance'),
			'Right Sidebar' => __('Right Sidebar', 'multi-advance'),
			'One Column'    => __('One Column', 'multi-advance'),
		),
	));

	$wp_customize->add_setting('multi_advance_single_post_sidebar_layout', array(
		'default'           => 'Right Sidebar', 
		'sanitize_callback' => 'multi_advance_sanitize_choices',
	));
	$wp_customize->add_control('multi_advance_single_post_sidebar_layout',array(
		'type'           => 'radio',
		'label'          => __('Single Post Layouts', 'multi-advance'),
		'section'        => 'multi_advance_left_right',
		'choices'        => array(
			'Left Sidebar'  => __('Left Sidebar', 'multi-advance'),
			'Right Sidebar' => __('Right Sidebar', 'multi-advance'),
			'One Column'    => __('One Column', 'multi-advance'),
		),
	));

	$wp_customize->add_setting('multi_advance_theme_options',array(
        'default' => 'Default',
        'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_theme_options',array(
        'type' => 'radio',
        'label' => __('Container Box','multi-advance'),
        'description' => __('Here you can change the Width layout. ','multi-advance'),
        'section' => 'multi_advance_left_right',
        'choices' => array(
            'Default' => __('Default','multi-advance'),
            'Container' => __('Container','multi-advance'),
            'Box Container' => __('Box Container','multi-advance'),
        ),
	) );

	// Button
	$wp_customize->add_section( 'multi_advance_theme_button', array(
		'title' => __('Button Option','multi-advance'),
		'panel' => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_button_padding_top_bottom',array(
		'default'=> '',
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_button_padding_top_bottom',array(
		'label'	=> __('Top and Bottom Padding','multi-advance'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'multi_advance_theme_button',
		'type'=> 'number'
	));

	$wp_customize->add_setting('multi_advance_button_padding_left_right',array(
		'default'=> '',
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_button_padding_left_right',array(
		'label'	=> __('Left and Right Padding','multi-advance'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'multi_advance_theme_button',
		'type'=> 'number'
	));

	$wp_customize->add_setting( 'multi_advance_button_border_radius', array(
		'default'=> '',
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	) );
	$wp_customize->add_control( 'multi_advance_button_border_radius', array(
		'label'       => esc_html__( 'Button Border Radius','multi-advance' ),
		'section'     => 'multi_advance_theme_button',
		'type'        => 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	// Social Icons
	$wp_customize->add_section('multi_advance_social_icons',array(
		'title'	=> __('Social Icons','multi-advance'),
		'description'	=> __('Add social icons.','multi-advance'),
		'priority'	=> null,
		'panel' => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multi_advance_facebook_url',array(
		'label'	=> __('Add Facebook Link','multi-advance'),
		'section'	=> 'multi_advance_social_icons',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multi_advance_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multi_advance_twitter_url',array(
		'label'	=> __('Add Twitter Link','multi-advance'),
		'section'	=> 'multi_advance_social_icons',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multi_advance_instagram_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multi_advance_instagram_url',array(
		'label'	=> __('Add Instagram Link','multi-advance'),
		'section'	=> 'multi_advance_social_icons',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multi_advance_linkedin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multi_advance_linkedin_url',array(
		'label'	=> __('Add Linkedin Link','multi-advance'),
		'section'	=> 'multi_advance_social_icons',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multi_advance_youtube_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multi_advance_youtube_url',array(
		'label'	=> __('Add Youtube Link','multi-advance'),
		'section'	=> 'multi_advance_social_icons',
		'type'	=> 'url'
	));

		// Menu settings
	$wp_customize->add_section('multi_advance_menu_settings',array(
		'title'	=> __('Menu Settings','multi-advance'),
		'priority'	=> null,
		'panel' => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_menu_weight',array(
		'default'=> '',
		'sanitize_callback'	=> 'multi_advance_sanitize_choices',
	));
	$wp_customize->add_control('multi_advance_menu_weight',array(
		'label'	=> __('Menus Weight ','multi-advance'),
		'section'=> 'multi_advance_menu_settings',
		'type' => 'select',
		'choices' => array(
            '100' => __('100','multi-advance'),
            '200' => __('200','multi-advance'),
            '300' => __('300','multi-advance'),
            '400' => __('400','multi-advance'),
            '500' => __('500','multi-advance'),
            '600' => __('600','multi-advance'),
            '700' => __('700','multi-advance'),
            '800' => __('800','multi-advance'),
            '900' => __('900','multi-advance'),
        ),
	));

	$wp_customize->add_setting( 'multi_advance_menu_color_settings', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_menu_color_settings', array(
  		'label' => __('Menu Color', 'multi-advance'),
	    'section' => 'multi_advance_menu_settings',
	    'settings' => 'multi_advance_menu_color_settings',
  	)));

  	$wp_customize->add_setting( 'multi_advance_menu_hover_color_settings', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_menu_hover_color_settings', array(
  		'label' => __('Menu Hover Color', 'multi-advance'),
	    'section' => 'multi_advance_menu_settings',
	    'settings' => 'multi_advance_menu_hover_color_settings',
  	)));
 
  	$wp_customize->add_setting( 'multi_advance_submenu_color_settings', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_submenu_color_settings', array(
  		'label' => __('Sub-menu Color', 'multi-advance'),
	    'section' => 'multi_advance_menu_settings',
	    'settings' => 'multi_advance_submenu_color_settings',
  	)));

  	$wp_customize->add_setting( 'multi_advance_submenu_hover_color_settings', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_submenu_hover_color_settings', array(
  		'label' => __('Sub-menu Hover Color', 'multi-advance'),
	    'section' => 'multi_advance_menu_settings',
	    'settings' => 'multi_advance_submenu_hover_color_settings',
  	)));

	//Header
	$wp_customize->add_section('multi_advance_header',array(
		'title'	=> __('Header Section','multi-advance'),
		'description'	=> __('Add topbar content','multi-advance'),
		'priority'	=> null,
		'panel' => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_topbar_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multi_advance_topbar_text',array(
		'label'	=> __('Topbar Text','multi-advance'),
		'section'	=> 'multi_advance_header',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('multi_advance_search_option',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
    $wp_customize->add_control('multi_advance_search_option',array(
       'type' => 'checkbox',
       'label' => __('Search','multi-advance'),
       'section' => 'multi_advance_header'
    ));

	$wp_customize->add_setting('multi_advance_phoneno',array(
		'default'	=> '',
		'sanitize_callback'	=> 'multi_advance_sanitize_phone_number',
	));
	$wp_customize->add_control('multi_advance_phoneno',array(
		'label'	=> __('Phone Number','multi-advance'),
		'section'	=> 'multi_advance_header',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('multi_advance_mail_address',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_email',
	));
	$wp_customize->add_control('multi_advance_mail_address',array(
		'label'	=> __('Mail Address','multi-advance'),
		'section'	=> 'multi_advance_header',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('multi_advance_header_button_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('multi_advance_header_button_text',array(
		'label'	=> __('Button Text','multi-advance'),
		'section'	=> 'multi_advance_header',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('multi_advance_header_button_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multi_advance_header_button_url',array(
		'label'	=> __('Button Link','multi-advance'),
		'section'	=> 'multi_advance_header',
		'type'	=> 'url'
	));

	//404 Page Setting
	$wp_customize->add_section('multi_advance_404_page_setting',array(
		'title'	=> __('404 Page','multi-advance'),
		'panel' => 'multi_advance_panel_id',
	));	

	$wp_customize->add_setting('multi_advance_title_404_page',array(
		'default'=> __('404','multi-advance'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_title_404_page',array(
		'label'	=> __('404 Page Title','multi-advance'),
		'section'=> 'multi_advance_404_page_setting',
		'type'=> 'text'
	));

	$wp_customize->add_setting('multi_advance_content_404_page',array(
		'default'=>  __('We could not find the page you were looking for.','multi-advance'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_content_404_page',array(
		'label'	=> __('404 Page Content','multi-advance'),
		'section'=> 'multi_advance_404_page_setting',
		'type'=> 'text'
	));

	$wp_customize->add_setting('multi_advance_button_404_page',array(
		'default'=> __('Go Back','multi-advance'), 
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_button_404_page',array(
		'label'	=> __('404 Page Button','multi-advance'),
		'section'=> 'multi_advance_404_page_setting',
		'type'=> 'text'
	));

	//Blog Post
	$wp_customize->add_section('multi_advance_blog_post',array(
		'title'	=> __('Blog Page Settings','multi-advance'),
		'panel' => 'multi_advance_panel_id',
	));	

	$wp_customize->add_setting('multi_advance_date_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_date_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Date','multi-advance'),
       'section' => 'multi_advance_blog_post'
    ));

   $wp_customize->add_setting('multi_advance_comment_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_comment_hide',array(
       'type' => 'checkbox',
       'label' => __('Comments','multi-advance'),
       'section' => 'multi_advance_blog_post'
    ));

   $wp_customize->add_setting('multi_advance_author_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_author_hide',array(
       'type' => 'checkbox',
       'label' => __('Author','multi-advance'),
       'section' => 'multi_advance_blog_post'
    ));

   $wp_customize->add_setting('multi_advance_show_featured_image_post',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_show_featured_image_post',array(
       'type' => 'checkbox',
       'label' => __('Blog Post Image','multi-advance'),
       'section' => 'multi_advance_blog_post'
    ));

   $wp_customize->add_setting( 'multi_advance_featured_img_border_radius', array(
		'default'=> 0,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	) );
	$wp_customize->add_control( 'multi_advance_featured_img_border_radius', array(
		'label'       => esc_html__( 'Blog Post Image Border Radius','multi-advance' ),
		'section'     => 'multi_advance_blog_post',
		'type'        => 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 100,
		),
	) );

	$wp_customize->add_setting( 'multi_advance_featured_img_box_shadow',array(
		'default' => 0,
		'sanitize_callback'    => 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_featured_img_box_shadow',array(
		'label' => esc_html__( 'Blog Post Image Shadow','multi-advance' ),
		'section' => 'multi_advance_blog_post',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type' => 'number'
	));

	$wp_customize->add_setting('multi_advance_blog_post_description_option',array(
    	'default'   => 'Excerpt Content', 
      'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_blog_post_description_option',array(
        'type' => 'radio',
        'label' => __('Post Description Length','multi-advance'),
        'section' => 'multi_advance_blog_post',
        'choices' => array(
            'No Content' => __('No Content','multi-advance'),
            'Excerpt Content' => __('Excerpt Content','multi-advance'),
            'Full Content' => __('Full Content','multi-advance'),
        ),
	) );

   $wp_customize->add_setting( 'multi_advance_excerpt_number', array(
		'default'              => 20,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	) );
	$wp_customize->add_control( 'multi_advance_excerpt_number', array(
		'label'       => esc_html__( 'Excerpt length','multi-advance' ),
		'section'     => 'multi_advance_blog_post',
		'type'        => 'number',
		'settings'    => 'multi_advance_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	$wp_customize->add_setting( 'multi_advance_post_suffix_option', array(
		'default'   => __('...','multi-advance'), 
		'sanitize_callback'	=> 'sanitize_text_field'
	) );
	$wp_customize->add_control( 'multi_advance_post_suffix_option', array(
		'label'       => esc_html__( 'Post Excerpt Indicator Option','multi-advance' ),
		'section'     => 'multi_advance_blog_post',
		'type'        => 'text',
		'settings'    => 'multi_advance_post_suffix_option',
	) );

	$wp_customize->add_setting('multi_advance_button_text',array(
		'default'=> __('READ MORE','multi-advance'), 
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_button_text',array(
		'label'	=> __('Add Button Text','multi-advance'),
		'section'=> 'multi_advance_blog_post',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'multi_advance_metabox_separator_blog_post', array(
		'default'   => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	) );
	$wp_customize->add_control( 'multi_advance_metabox_separator_blog_post', array(
		'label'       => esc_html__( 'Meta Box Separator','multi-advance' ),
		'input_attrs' => array(
            'placeholder' => __( 'Add Meta Separator. e.g.: "|", "/", etc.', 'multi-advance' ),
        ),
		'section'     => 'multi_advance_blog_post',
		'type'        => 'text',
		'settings'    => 'multi_advance_metabox_separator_blog_post',
	) );

	$wp_customize->add_setting('multi_advance_display_blog_page_post',array(
        'default' => 'In Box',
        'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_display_blog_page_post',array(
        'type' => 'radio',
        'label' => __('Display Blog Page Post :','multi-advance'),
        'section' => 'multi_advance_blog_post',
        'choices' => array(
            'In Box' => __('In Box','multi-advance'),
            'Without Box' => __('Without Box','multi-advance'),),
	) );

	$wp_customize->add_setting('multi_advance_blog_post_pagination',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_blog_post_pagination',array(
       'type' => 'checkbox',
       'label' => __('Pagination in Blog Page','multi-advance'),
       'section' => 'multi_advance_blog_post'
    ));

	//Single Post Setting
	$wp_customize->add_section('multi_advance_single_post',array(
		'title'	=> __('Single Post Setting','multi-advance'),
		'panel' => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_tags_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_tags_hide',array(
       'type' => 'checkbox',
       'label' => __('Single Post Tags','multi-advance'),
       'section' => 'multi_advance_single_post'
    ));

   $wp_customize->add_setting('multi_advance_show_featured_image_single_post',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
   $wp_customize->add_control('multi_advance_show_featured_image_single_post',array(
       'type' => 'checkbox',
       'label' => __('Single Post Image','multi-advance'),
       'section' => 'multi_advance_single_post'
   ));

   $wp_customize->add_setting( 'multi_advance_show_related_post',array(
		'default' => true,
      	'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ) );
   $wp_customize->add_control('multi_advance_show_related_post',array(
    	'type' => 'checkbox',
        'label' => __( 'Related Post','multi-advance' ),
        'section' => 'multi_advance_single_post'
    ));

   $wp_customize->add_setting( 'multi_advance_post_comment',array(
		'default' => true,
		'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
	) );
	$wp_customize->add_control('multi_advance_post_comment',array(
		'type' => 'checkbox',
		'label' => __('Single Post Comment Box','multi-advance'),
		'section' => 'multi_advance_single_post'
	));

	$wp_customize->add_setting( 'multi_advance_single_post_breadcrumb',array(
		'default' => true,
		'transport' => 'refresh',
      	'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ) );
    $wp_customize->add_control('multi_advance_single_post_breadcrumb',array(
    	'type' => 'checkbox',
        'label' => __( 'Show / Hide Single Post Breadcrumb','multi-advance' ),
        'section' => 'multi_advance_single_post'
    ));

   $wp_customize->add_setting('multi_advance_related_posts_taxanomies_options',array(
        'default' => 'categories',
        'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_related_posts_taxanomies_options',array(
        'type' => 'radio',
        'label' => __('Related Post Taxonomies','multi-advance'),
        'section' => 'multi_advance_single_post',
        'choices' => array(
            'categories' => __('Categories','multi-advance'),
            'tags' => __('Tags','multi-advance'),
        ),
	) );

	$wp_customize->add_setting('multi_advance_related_post_title',array(
		'default'=> __('Related Posts','multi-advance'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_related_post_title',array(
		'label'	=> __('Related Post Title','multi-advance'),
		'section'=> 'multi_advance_single_post',
		'type'=> 'text'
	));

   $wp_customize->add_setting('multi_advance_related_posts_number',array(
		'default'=> 3,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_related_posts_number',array(
		'label'	=> __('Related Post Number','multi-advance'),
		'section'=> 'multi_advance_single_post',
		'type'=> 'number',
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
	));

	//no Result Found
	$wp_customize->add_section('multi_advance_noresult_found',array(
		'title'	=> __('No Result Found','multi-advance'),
		'panel' => 'multi_advance_panel_id',
	));	

	$wp_customize->add_setting('multi_advance_nosearch_found_title',array(
		'default'=> __('Nothing Found','multi-advance'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_nosearch_found_title',array(
		'label'	=> __('No Result Found Title','multi-advance'),
		'section'=> 'multi_advance_noresult_found',
		'type'=> 'text'
	));

	$wp_customize->add_setting('multi_advance_nosearch_found_content',array(
		'default'=> __('Sorry, but nothing matched your search terms. Please try again with some different keywords.','multi-advance'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multi_advance_nosearch_found_content',array(
		'label'	=> __('No Result Found Content','multi-advance'),
		'section'=> 'multi_advance_noresult_found',
		'type'=> 'text'
	));

	$wp_customize->add_setting('multi_advance_show_noresult_search',array(
       'default' => true,
       'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
    ));
    $wp_customize->add_control('multi_advance_show_noresult_search',array(
       'type' => 'checkbox',
       'label' => __('No Result search','multi-advance'),
       'section' => 'multi_advance_noresult_found'
    ));

	//footer
	$wp_customize->add_section('multi_advance_footer_section', array(
		'title'       => __('Footer Text', 'multi-advance'),
		'priority'    => null,
		'panel'       => 'multi_advance_panel_id',
	));

	$wp_customize->add_setting('multi_advance_footer_widget_areas',array(
        'default'           => 4,
        'sanitize_callback' => 'multi_advance_sanitize_choices',
    ));
    $wp_customize->add_control('multi_advance_footer_widget_areas',array(
        'type'        => 'select',
        'label'       => __('Footer widget area', 'multi-advance'),
        'section'     => 'multi_advance_footer_section',
        'description' => __('Select the number of widget areas you want in the footer. After that, go to Appearance > Widgets and add your widgets.', 'multi-advance'),
        'choices' => array(
            '1'     => __('One', 'multi-advance'),
            '2'     => __('Two', 'multi-advance'),
            '3'     => __('Three', 'multi-advance'),
            '4'     => __('Four', 'multi-advance')
        ),
    ));

    $wp_customize->add_setting('multi_advance_footer_widget_bg_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multi_advance_footer_widget_bg_color', array(
		'label'    => __('Footer Widget Background Color', 'multi-advance'),
		'section'  => 'multi_advance_footer_section',
	)));

	$wp_customize->add_setting('multi_advance_footer_widget_bg_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'multi_advance_footer_widget_bg_image',array(
        'label' => __('Footer Widget Background Image','multi-advance'),
        'section' => 'multi_advance_footer_section'
	)));

	$wp_customize->add_setting('multi_advance_footer_copy', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('multi_advance_footer_copy', array(
		'label'   => __('Copyright Text', 'multi-advance'),
		'section' => 'multi_advance_footer_section',
		'type'    => 'text',
	));

	$wp_customize->add_setting('multi_advance_footer_content_font_size',array(
		'default'=> 16,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_footer_content_font_size',array(
		'label' => esc_html__( 'Copyright Font Size','multi-advance' ),
		'section'=> 'multi_advance_footer_section',
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
        'type' => 'number',
	));

	$wp_customize->add_setting('multi_advance_copyright_padding',array(
		'default'=> 15,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_copyright_padding',array(
		'label'	=> __('Copyright Padding','multi-advance'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'multi_advance_footer_section',
		'type'=> 'number'
	));

	$wp_customize->add_setting('multi_advance_enable_disable_scroll',array(
        'default' => true,
        'sanitize_callback'	=> 'multi_advance_sanitize_checkbox'
	));
	$wp_customize->add_control('multi_advance_enable_disable_scroll',array(
     	'type' => 'checkbox',
      	'label' => __('Show / Hide Scroll Top Button','multi-advance'),
      	'section' => 'multi_advance_footer_section',
	));

	$wp_customize->add_setting('multi_advance_scroll_setting',array(
        'default' => 'Right',
        'sanitize_callback' => 'multi_advance_sanitize_choices'
	));
	$wp_customize->add_control('multi_advance_scroll_setting',array(
        'type' => 'select',
        'label' => __('Scroll Back to Top Position','multi-advance'),
        'section' => 'multi_advance_footer_section',
        'choices' => array(
            'Left' => __('Left','multi-advance'),
            'Right' => __('Right','multi-advance'),
            'Center' => __('Center','multi-advance'),
        ),
	) );

	$wp_customize->add_setting('multi_advance_scroll_font_size_icon',array(
		'default'=> 20,
		'sanitize_callback'	=> 'multi_advance_sanitize_float',
	));
	$wp_customize->add_control('multi_advance_scroll_font_size_icon',array(
		'label'	=> __('Scroll Icon Font Size','multi-advance'),
		'section'=> 'multi_advance_footer_section',
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
        'type' => 'number',
	)	);
 	// responsive
	$wp_customize->add_section('multi_advance_responsive_settings',array(
		'title'	=> __('Responsive Settings','multi-advance'),
		'panel' => 'multi_advance_panel_id',
	));

	// toggle button color
  	$wp_customize->add_setting( 'multi_advance_taggle_menu_bg_color_settings', array(
	    'default' => '#222',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multi_advance_taggle_menu_bg_color_settings', array(
  		'label' => __('Toggle Menu Bg Color', 'multi-advance'),
	   'section' => 'multi_advance_responsive_settings',
	   'settings' => 'multi_advance_taggle_menu_bg_color_settings',
  	)));	
	
}
add_action('customize_register', 'multi_advance_customize_register');

// logo resize
load_template( trailingslashit( get_template_directory() ) . '/inc/logo/logo-resizer.php' );

if ( ! defined( 'MULTI_ADVANCE_PRO_THEME_LINK' ) ) {
	define( 'MULTI_ADVANCE_PRO_THEME_LINK', 'https://www.themeshopy.com/themes/creative-wordpress-theme/' );
}
if ( ! defined( 'MULTI_ADVANCE_PRO_THEME_TEXT' ) ) {
	define( 'MULTI_ADVANCE_PRO_THEME_TEXT', __('MULTI ADVANCE PRO','multi-advance') );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Multi_Advance_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if (is_null($instance)) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action('customize_register', array($this, 'sections'));

		// Register scripts and styles for the conmulti_advance_Customizetrols.
		add_action('customize_controls_enqueue_scripts', array($this, 'enqueue_control_scripts'), 0);
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections($manager) {

		// Load custom sections.
		load_template(trailingslashit(get_template_directory()).'/inc/section-pro.php');

		// Register custom section types.
		$manager->register_section_type('Multi_Advance_Customize_Section_Pro');

		// Register sections.
		$manager->add_section(
			new Multi_Advance_Customize_Section_Pro(
				$manager,
				'multi_advance_example_1',
				array(
					'priority' => 9,
					'title'    => MULTI_ADVANCE_PRO_THEME_TEXT,
					'pro_text' => esc_html__('GO PRO', 'multi-advance'),
					'pro_url'  => esc_url( MULTI_ADVANCE_PRO_THEME_LINK ),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script('multi-advance-customize-controls', trailingslashit(esc_url(get_template_directory_uri())).'/js/customize-controls.js', array('customize-controls'));
		wp_enqueue_style('multi-advance-customize-controls', trailingslashit(esc_url(get_template_directory_uri())).'/css/customize-controls.css');
	}
}

// Doing this customizer thang!
Multi_Advance_Customize::get_instance();