<?php
/**
 * The template part for displaying post 
 *
 * @package Multi Advance
 * @subpackage multi-advance
 * @since multi-advance 1.0
 */
?>  
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>

<article class="page-box my-3">
  <div class="metabox">
    <?php if( get_theme_mod( 'multi_advance_date_hide',true) != '') { ?>
      <span class="entry-date"><i class="fa fa-calendar me-1"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span><?php echo esc_html( get_theme_mod('multi_advance_metabox_separator_blog_post') ); ?>
    <?php } ?>
    <?php if( get_theme_mod( 'multi_advance_author_hide',true) != '') { ?>
      <span class="entry-author"><i class="fa fa-user me-1"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span><?php echo esc_html( get_theme_mod('multi_advance_metabox_separator_blog_post') ); ?>
    <?php } ?>
    <?php if( get_theme_mod( 'multi_advance_comment_hide',true) != '') { ?>
      <span class="entry-comments"><i class="fas fa-comments me-1"></i><?php comments_number( __('0 Comments','multi-advance'), __('0 Comments','multi-advance'), __('% Comments','multi-advance') ); ?></span>
    <?php } ?>
  </div>
  <?php if( get_theme_mod( 'multi_advance_show_featured_image_post',true) != '' && has_post_thumbnail()) { ?>
    <div class="box-img">
      <?php the_post_thumbnail(); ?>
      <?php if( get_theme_mod('multi_advance_button_text','READ MORE') != ''){ ?>
        <div class="read-more-btn">
          <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('multi_advance_button_text','READ MORE'));?><i class="fas fa-arrow-right ms-2"></i><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('multi_advance_button_text','READ MORE'));?></span></a>
        </div>
      <?php } ?>
    </div>
  <?php } ?>
  <div class="new-text">
    <h2><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
    <?php if(get_theme_mod('multi_advance_blog_post_description_option') == 'Full Content'){ ?>
      <div class="entry-content"><?php the_content();?></div>
    <?php }
    if(get_theme_mod('multi_advance_blog_post_description_option', 'Excerpt Content') == 'Excerpt Content'){ ?>
      <?php if(get_the_excerpt()) { ?>
        <div class="entry-content"><p><?php $multi_advance_excerpt = get_the_excerpt(); echo esc_html( multi_advance_string_limit_words( $multi_advance_excerpt, esc_attr(get_theme_mod('multi_advance_excerpt_number','20')))); ?> <?php echo esc_html( get_theme_mod('multi_advance_post_suffix_option','...') ); ?></p></div>
      <?php }?>
    <?php }?>
  </div>
  <div class="clearfix"></div>
</article>